unit UpdateTreeTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, UpdateTree, StdCtrls;

type
  TForm1 = class(TForm)
    UpdateTree1: TUpdateTree;
    Label1: TLabel;
    Button1: TButton;
    procedure UpdateTree1Change(Sender: TObject; Node: TTreeNode);
    procedure Button1Click(Sender: TObject);
    procedure UpdateTree1BeforeLaunch(Sender: TObject; ItemName,
      ItemLink: String; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.UpdateTree1Change(Sender: TObject; Node: TTreeNode);
begin
 Label1.Caption:=UpdateTree1.Links[UpdateTree1.Selected.AbsoluteIndex];
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 UpdateTree1.Execute;
end;

procedure TForm1.UpdateTree1BeforeLaunch(Sender: TObject; ItemName,
  ItemLink: String; var Handled: Boolean);
begin
 ShowMessage(ItemName + #13#10 + ItemLink);
 Handled:=True;
end;

end.
